Bug 173038 - cannot start CFS at boot-time with 2.6.13 or 2.6.14 kernels
cannot start CFS at boot-time with 2.6.13 or 2.6.14 kernels
Product: Fedora
Classification: Fedora
Component: cfs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-11-12 15:33 EST by Carl Roth
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-25 15:48:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carl Roth 2005-11-12 15:33:30 EST
Description of problem:

Cannot start cfsd at boot-time with new 2.6.13 and 2.6.14 kernels.

Version-Release number of selected component (if applicable):


This has been verified on i686 platforms.

How reproducible:


Steps to Reproduce:
1. Enable nfs with 'chkconfig nfs on'
2. Enable cfsd with 'chkconfig cfsd on'
3. Reboot
4. Attach a CFS share with 'cattach'

Actual results:

Initial cfsd mount request at boot-time times out, and CFS is unusable for the
machine after the machine finally does boot -- the cattach command fails.

Expected results:

CFSD should start at boot-time, and users should be able to 'cattach' CFS shares
as soon as the machine boots.

Additional info:

This issue seems to coincide with the new kernel NFS stack that reports the
mysterious "NFSD: starting 90-second grace period" message.

As an experiment, I inserted a delay into the /etc/rc.d/init.d/cfsd script that
starts it *after* nfsd, and waits 90s before attempting to mount its /.cfsfs
directory.  That didn't work.

I extended the timeout to 120s, and it started working.

This problem doesn't seem to affect autofs, which is the other NFS-dependent
service I'm starting at boot-time.

The problem also cannot be reproduced on an already-running system.  I tried to
shutdown affected services:

  autofs cfsd nfs rpcidmapd portmap

and remove NFS-dependent modules:

  modprobe -v -d nfs
  modprobe -v -d nfsd

Re-enabling the above services prints the same kernel message ("NFSD: starting
90-second grace period") but this time, cfsd starts up right away and the
'cattach' command works.
Comment 1 Christian Iseli 2007-01-17 18:23:58 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.


Your friendly BZ janitor :-)
Comment 2 Carl Roth 2007-01-25 15:48:35 EST
The cfs package has been dropped from Extras.

Note You need to log in before you can comment on or make changes to this bug.